%define major     2
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           gumbo
Summary:        An HTML5 parsing library in pure C99
License:        ASL 2.0
Version:        0.12.1
Release:        %mkrel 2
Group:          System/Libraries
URL:            https://codeberg.org/grisha/gumbo-parser/
Source0:        https://codeberg.org/grisha/gumbo-parser/archive/%{version}.tar.gz#/gumbo-parser-%{version}.tar.gz

%description
Gumbo is an implementation of the HTML5 parsing algorithm implemented as
a pure C99 library with no outside dependencies. It's designed to serve
as a building block for other tools and libraries such as linters,
validators, templating languages, and refactoring and analysis tools.

%package -n     %{libname}
Summary:        Pure C HTML5 Parser
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-parser = %{version}-%{release}

%description -n %{libname}
Gumbo is an implementation of the HTML5 parsing algorithm implemented as
a pure C99 library with no outside dependencies. It's designed to serve
as a building block for other tools and libraries such as linters,
validators, templating languages, and refactoring and analysis tools.

%package -n     %{develname}
Summary:        Headers for developing programs that will use gumbo
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-parser-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gumbo, the pure C HTML5 parser.

%prep
%setup -q -n gumbo-parser
%autopatch -p1

%build
autoreconf -vfi
%configure \
    --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib%{name}.so


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.12.1-2.mga10
+ Revision: 2218938
- Mageia 10 Mass Rebuild

* Mon Oct 09 2023 wally <wally> 0.12.1-1.mga10
+ Revision: 1993731
- update to a new fork
- new version 0.12.1
- new lib major 2

* Tue Mar 15 2022 umeabot <umeabot> 0.10.1-5.mga9
+ Revision: 1793501
- Mageia 9 Mass Rebuild
+ daviddavid <daviddavid>
- improve more summary
- fix devel sub-pkg group

* Mon May 17 2021 daviddavid <daviddavid> 0.10.1-4.mga9
+ Revision: 1725174
- improve descriptions and summaries
- use a named-versioned git tarball

* Sat Feb 15 2020 umeabot <umeabot> 0.10.1-3.mga8
+ Revision: 1526400
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat May 18 2019 wally <wally> 0.10.1-2.mga7
+ Revision: 1398338
- add latest changes from upstream
- simplify and clean .spec a bit

* Fri Nov 09 2018 shlomif <shlomif> 0.10.1-1.mga7
+ Revision: 1329179
- Importing based on the wiki

